#author("2017-01-31T16:23:52+09:00","","")
**[[質問箱5/255]] [#q3619dcd]
|RIGHT:70|LEFT:410|c
|~カテゴリ|動作環境|
|~サマリ|tag.inc.phpで返されるエラー|
|~バージョン|1.4.7|
|~投稿者||
|~状態|完了|
|~投稿日|&new{2017-01-23 (月) 22:03:30};|
***質問 [#p3dd0704]
当方PukiWiki 1.4.7 さくらでレンタルサーバーを借りています。
PHP 5.6.27です。
tag.inc.phpを使えるようにしたいです。


タグ機能をつけたいと思いtag.inc.phpを導入したのですが
&tag(); を記述するとHTTP ERROR 500が返されます。
index.phpを弄り、E_ALLを試してみましたが、変わらずERROR 500が返されます。
他に弄ったところといえば、PHP5にpukiwiki 1.4.7を対応させるためlib\funkの311行目あたり、hex2binを変えたくらいです。

tag.inc.phpが対応しているのが1.4.7だったので1.4.7に落としたのですが、
1.5.1で使えるのであれば回答していただけると幸いです。

***回答 [#n373223a]
- 1.4.7のサポートは終了している。まず [[1.5.1>PukiWiki/Download]]にアップグレード。それでもエラーの場合は、エラーを提示せよ
 error_reporting(E_ALL);
 ini_set('display_errors', true);
- アップグレードしました。以下出たエラーです -- [[質問主]] &new{2017-01-31 (火) 05:16:51};
-  Strict Standards: Declaration of Heading::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 263  Strict Standards: Declaration of HRule::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 284  Strict Standards: Declaration of ListContainer::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 360  Strict Standards: Declaration of ListElement::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 380  Strict Standards: Declaration of BQuote::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 478  Strict Standards: Declaration of Table::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 655  Strict Standards: Declaration of YTable::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 734  Strict Standards: Declaration of Pre::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 764  Strict Standards: Declaration of Div::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 788  Strict Standards: Declaration of Align::canContain() should be compatible with Element::canContain($obj) in /home/username/www/lib/convert_html.php on line 810   Deprecated: ini_set(): Use of mbstring.http_input is deprecated in /home/username/www/lib/init.php on line 104  Notice: Only variable references should be returned by reference in /home/username/www/lib/convert_html.php on line 145  Notice: Only variable references should be returned by reference in /home/username/www/lib/convert_html.php on line 60   Warning: require_once(/home/username/www/plugin/sonots/sonots.class.php): failed to open stream: No such file or directory in /home/username/www/plugin/tag.inc.php on line 2  Fatal error: require_once(): Failed opening required '/home/username/www/plugin/sonots/sonots.class.php' (include_path='.:/usr/local/php/5.6/lib/php') in /home/username/www/plugin/tag.inc.php on line 2 -- [[質問主]] &new{2017-01-31 (火) 05:22:49};
-- tag.inc.php on line の2行目でファイル(plugin/sonots/sonots.class.php)がないためエラーで落ちていると表示されています
 Fatal error: require_once():
 Failed opening required '/home/username/www/plugin/sonots/sonots.class.php'
  (include_path='.:/usr/local/php/5.6/lib/php')
 in /home/username/www/plugin/tag.inc.php on line 2
さくらなので、ファイルパーミッションで落ちることは極めてまれなので、おそらくplugin/sonots/フォルダに必要なファイルがないのだと思います。
- 解決しました!ありがとうございました! -- [[質問主]] &new{2017-01-31 (火) 15:16:46};

#comment

トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.024 sec.

OSDN